%define upstream_name    Algorithm-Munkres
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    %{upstream_name} module for perl
License:    GPLv2+
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch: noarch


%description
Perl extension for Munkres' solution to 
classical Assignment problem for square and rectangular matrices 
This module extends the solution of Assignment problem for square
matrices to rectangular matrices by padding zeros. Thus a rectangular 
matrix is converted to square matrix by padding necessary zeros.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 509001
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 362855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 25833
- mageia rebuild
- imported package perl-Algorithm-Munkres


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 409021
- rebuild using %%perl_convert_version

* Thu Mar 05 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.08-1mdv2009.1
+ Revision: 348890
- Initial revision, needed by perl-bioperl


* Thu Mar 5 2009 Stéphane Téletchéa <steletch@mandriva.org> 0.08-1mdv2009.1
- Initial revision, needed by perl-bioperl
